<?php 
if ( ! defined( 'ABSPATH' ) )
	die( "Can't load this file directly" );

class IvyView
{
	public static function load( $name, $_data = array() ) {
		extract( $_data, EXTR_SKIP );
		
		if ( is_admin() )
			$file = IvyCore::get_path() . 'views/' . $name . '.php';
		else {
			$file = trailingslashit( get_template_directory() ) . 'community-links/' . $name . '.php';

			if ( ! file_exists( $file ) )
				$file = IvyCore::get_path() . 'templates/' . $name . '.php';
		}

		include( $file );
	}
	
	private function __construct() {
		
	}
}