<?php 
if ( ! defined( 'ABSPATH' ) )
	die( "Can't load this file directly" );

function ivy__( $text ) {
	return __( $text, IvyCore::get_textdomain() );
}

function ivy_e( $text) {
	_e( $text, IvyCore::get_textdomain() );
}

function ivy_attr__( $text ) {
	return esc_attr__( $text, IvyCore::get_textdomain() );
}

function ivy_html__( $text ) {
	return esc_html__( $text, IvyCore::get_textdomain() );
}

function ivy_attr_e( $text ) {
	esc_attr_e( $text, IvyCore::get_textdomain() );
}

function ivy_html_e( $text ) {
	esc_html_e( $text, IvyCore::get_textdomain() );
}

function ivy_x( $text, $context ) {
	return _x( $text, $context, IvyCore::get_textdomain() );
}

function ivy_ex( $text, $context ) {
	_ex( $text, $context, IvyCore::get_textdomain() );
}

function ivy_n( $single, $plural, $number ) {
	return _n( $single, $plural, $number, IvyCore::get_textdomain() );
}

function ivy_nx( $single, $plural, $number, $context ) {
	return _nx( $single, $plural, $number, $context, IvyCore::get_textdomain() );
}

function ivy_n_noop( $single, $plural ) {
	return _n_noop( $single, $plural );
}

function ivy_nx_noop( $single, $plural, $context ) {
	return _nx_noop( $single, $plural, $context );
}