<?php 

/* Contribute template
 */

if(!defined('ABSPATH')) die(); 

lzr_display_notices($notices, $form);
?>

<form action="<?php echo lzr_get_url('bulletin-write'); ?>" class="lzr-top-form" method="post" enctype="multipart/form-data">
	<p class="form-description">
		Use the form to add a post.
	</p>
		
	<div class="lzr-contribute-form lzr-form">
		<?php
		foreach($form_fields as $key => $field)
		{
			lzr_display_form_field($key, $field, $form->value($key));
		}
		?>
		
		<div class="lzr-form-button">
			<input type="submit" class="leezer-button" name="submit" value="Submit" id="lzr-submit">
			<input type="hidden" name="action" value="bulletin-write">
			<?php wp_nonce_field('bulletin-write', '_leezernonce'); ?>
		</div>
	</div>
</form>